/*
    Message grouping script for jsCayw IEView style.
    
    
    Sova 2008
    
*/


/**
 * This function adds new message to the last message group.
 */
function Group()
{
    // Div that contains the group of messages.
    var group = document.getElementById("group");
    // A message to be added into an existing group.
    var message = document.getElementById("messageToGroup");
    
    // We don't want the message to be selected again, so
    // we change it's id to nothing (null).
    message.id = null;
        
    // Now we need to append the new message after
    // the last message
    group.appendChild(message);
    
    // Now lets search for some hyperlinks, that might
    // lead to youtube etc.
    createEmbedLinks(message);
}
   

/**
 * This function sets the end for the last message group.
 */
function EndGroup()
{
    // At the end of message grouping we need to 
    // set the id of the message group to nothing
    // because we'll have new element with this
    // id in the new message group
    var group = document.getElementById("group");
    group.id = null;
}